/*
 * InitializationException.java
 *
 * (C) 2004 - 2005  DFKI Language Technology Lab http://www.dfki.de/lt
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 */

package de.dfki.lt.hog.exceptions;

/**
 * <code>InitializationException</code> is thrown when a module
 * can't be initialized.
 *
 * @author Joerg Steffen, DFKI
 * @version $Id: InitializationException.java,v 1.2 2005/04/26 17:37:31 oeze Exp $ */

public class InitializationException extends Exception {

  /**
   * This creates a new instance of
   * <code>InitializationException</code>. */
  public InitializationException() {
    super();
  }


  /**
   * This creates a new instance of
   * <code>InitializationException</code> with an error message
   * <code>aMessage</code>
   *
   * @param aMessage a <code>String</code> with the error message */
  public InitializationException(String aMessage) {
    super(aMessage);
  }
}
