/*
 * ShutdownException.java
 *
 * (C) 2004 - 2005  DFKI Language Technology Lab http://www.dfki.de/lt
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 */

package de.dfki.lt.hog.exceptions;

/**
 * <code>ShutdownException</code> is thrown when a module shutdown
 * fails.
  *
 * @author Joerg Steffen, DFKI
 * @version $Id: ShutdownException.java,v 1.2 2005/04/26 17:37:33 oeze Exp $ */

public class ShutdownException extends Exception {

  /**
   * This creates a new instance of <code>ShutdownException</code>. */
  public ShutdownException() {
    super();
  }


  /**
   * This creates a new instance of <code>ShutdownException</code>
   * with an error message <code>aMessage</code>
   *
   * @param aMessage a <code>String</code> with the error message */
  public ShutdownException(String aMessage) {
    super(aMessage);
  }
}
