/*
 * SdlError.java
 *
 * (C) 2004 - 2005  DFKI Language Technology Lab http://www.dfki.de/lt
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 */

package de.dfki.lt.sdl;

/**
 * this abstract class serves as the abstract superclass for the three
 * error classes possible in SDL
 *
 * @see ModuleClearError
 * @see ModuleInitError
 * @see ModuleRunError
 * @see IModule
 * @see Modules
 *
 * @author (C) Hans-Ulrich Krieger
 * @since JDK 1.3
 * @version 1.0.3, Mon May 10 16:22:46 CEST 2004
 */
public abstract class SdlError extends Error {

  /**
   * the nullary creator
   * @return a ModuleClearError object
   */
  public SdlError() {
    super();
  }

  /**
   * the unary creator
   * @param errorMessage the error message
   * @return a ModuleClearError object
   */
  public SdlError(String errorMessage) {
    super(errorMessage);
  }

}
