/*
 * Incr5UpTo42.java
 *
 * (C) 2004 - 2005  DFKI Language Technology Lab http://www.dfki.de/lt
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 */

package de.dfki.lt.sdl.test;

import de.dfki.lt.sdl.*;

/**
 * purpose of this class:  testing SDL;
 * functionality inherited from abstract class Modules which implements the
 * interface IModule;
 * run(_) is the only method which I MUST define
 *
 * @author (C) Hans-Ulrich Krieger
 * @since JDK 1.3
 * @version 1.0.3, Wed Dec  4 12:32:28 CET 2002
 */
public class Incr5UpTo42 extends Modules {

  /**
   * Incr5UpTo42 will add 5 to its input (an int wrapped in an Integer object),
   * if the input is below 42; otherwise 42 is always returned (again an
   * Integer);
   * note that equals() works proper on Integer objects (important for the
   * iteration mediator;
   * @see Mediator
   * @see ModOps
   */
  public Incr5UpTo42() {
    super();
  }

  /**
   * since run(_) is defined to take an Object argument, I must wrap
   * the int into an Integer object
   */
  public Object run(Object obj) {
    if (obj instanceof Integer) {
      int i = ((Integer)obj).intValue();
      if (i < 42) {
	System.out.println(i + " --> Incr5UpTo42 --> " + (i + 5));
	return new Integer(i + 5);
      }
      else {
	System.out.println(i + " --> Incr5UpTo42 --> 42");
	return new Integer(42);
      }
    }
    else
      throw new ModuleRunError("Module Incr5UpTo42 has been given a wrong class");
  }

}
