/*
 * XsltModulesDocumentNode.java
 *
 * (C) 2004 - 2005  DFKI Language Technology Lab http://www.dfki.de/lt
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 */

package de.dfki.lt.sdl.xslt;

import de.dfki.lt.sdl.*;
import javax.xml.transform.*;
import org.w3c.dom.Node;
import org.apache.log4j.Logger;

/**
 * Transforms input org.w3c.dom.Node to a org.w3c.dom.Node using the configured stylesheet.
 * @author Ulrich Schaefer
 * @version $Revision: 1.4 $
 * $Id: XsltModulesDocumentNode.java,v 1.4 2005/07/01 11:50:25 uschaefer Exp $
 */
public class XsltModulesDocumentNode extends XsltModules {

    private static Logger log = Logger.getLogger(XsltModulesDocumentNode.class);
  /**
   * Creates an empty interpreter.
   */
  public XsltModulesDocumentNode() {
    super();
  }


  /**
   * Calls XSLT transformer on the input org.w3c.dom.Node;
   * output is an instance of class org.w3c.dom.Node
   */
  public Object run(Object input) throws ModuleRunError {
    // clear module and set input field
    this.clear();
    this.setInput(input);
    // set input of transformer to org.w3c.dom.Node
    Node inputDoc = (Node)input;
    Node output;
    // transform to org.w3c.dom.Node
    try {
        output = this.tservice.transform(this.transformer, inputDoc);
    } catch (TransformerException te) {
        log.error(te);
        throw new ModuleRunError(te.toString());
    }
    // set output field of this module
    this.setOutput(output);
    return output;
  }


}
