/*
 * XsltModulesStringString.java
 *
 * (C) 2004 - 2005  DFKI Language Technology Lab http://www.dfki.de/lt
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 */

package de.dfki.lt.sdl.xslt;

import de.dfki.lt.sdl.*;
import javax.xml.transform.*;
import org.apache.log4j.Logger;

/**
 * Transforms input XML String to an output String using the configured stylesheet.
 * @author Ulrich Schaefer
 * @version $Revision: 1.3 $
 * $Id: XsltModulesStringString.java,v 1.3 2005/04/26 17:38:01 oeze Exp $
 */
public class XsltModulesStringString extends XsltModules {

    private static Logger log = Logger.getLogger(XsltModulesStringString.class);
  /**
   * Creates an empty interpreter.
   */
  public XsltModulesStringString() {
    super();
  }


  /**
   * Calls transformer on the input XML String using the configured stylesheet;
   * output is a String.
   */
  public Object run(Object input) throws ModuleRunError {
    // clear module and set input field
    this.clear();
    this.setInput(input);
    // set input of transformer (XML String)
    String inputString = (String)input;
    String output;
    // transform to String
    try {
        output = this.tservice.transform(this.transformer, inputString);
    } catch (TransformerException te) {
        log.error(te);
        throw new ModuleRunError(te.toString());
    }
    // set output field of this module
    this.setOutput(output);
    return output;
  }


}
