<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- mrx2utool.xsl
       
       Developed by Ulrich Schaefer,

       (C) 2007  DFKI Language Technology Lab http://www.dfki.de/lt

       This program is free software; you can redistribute it and/or
       modify it under the terms of the GNU Lesser General Public
       License 2.1 as published by the Free Software Foundation.

       This program is distributed in the hope that it will be useful,
       but WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
       Lesser General Public License for more details.
       
       You should have received a copy of the GNU Lesser General Public
       License along with this library; if not, write to the Free Software
       Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
       USA

       Version $Revision: 1.2 $
       $Id: mrx2utool.xsl,v 1.2 2007/12/20 10:30:32 uschaefer Exp $
       
       CHANGES
       2007-12-12 uschaefer initial version
       2007-12-20 uschaefer corrected (top) label handling
-->

  <xsl:output method="xml" encoding="utf-8" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:param name="reading" select="'0'"/>

  <!-- ======== / ============= -->
  <!-- top template just calls all mrs descendants of 
       the root (root-element can have any name) -->

  <xsl:template match="/">
      <xsl:apply-templates select="//mrs[@reading=$reading]"/>
  </xsl:template>

  <!-- ======== mrs ======= -->
  <xsl:template match="mrs">
    <mrs>
      <xsl:apply-templates select="label"/>
      <xsl:apply-templates select="ep"/>
      <xsl:apply-templates select="hcons"/>
    </mrs>
  </xsl:template>

  <!-- ========  label ======= -->
  <xsl:template match="label">
    <var vid="{concat('h',@vid)}"/>
  </xsl:template>

  <!-- ======== ep ======= -->
  <xsl:template match="ep">
    <xsl:copy>
      <xsl:apply-templates select="pred|spred"/>
      <xsl:apply-templates select="label"/>
      <xsl:apply-templates select="fvpair"/>
    </xsl:copy>
  </xsl:template>

  <!-- ======== pred|spred ======= -->
  <xsl:template match="pred|spred">
    <pred>
      <xsl:copy-of select="text()"/>
    </pred>
  </xsl:template>

  <!-- ======== fvpair ======= -->
  <xsl:template match="fvpair">
    <xsl:copy>
      <xsl:copy-of select="rargname"/>
      <xsl:apply-templates select="var"/>
    </xsl:copy>
  </xsl:template>

  <!-- ========  var ======= -->
  <xsl:template match="var">
    <var vid="{concat(@sort,@vid)}"/>
  </xsl:template>

  <!-- ======== hcons ======= -->
  <xsl:template match="hcons">
    <hcons hreln="{@hreln}">
      <hi>
        <xsl:apply-templates select="hi/var"/>
      </hi>
      <lo>
        <xsl:apply-templates select="lo/var"/>
      </lo>
    </hcons>
  </xsl:template>

</xsl:stylesheet>
