<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                version="1.0">

  <!-- Combine different PET XML input chart documents into one document, -->
  <!-- omitting metadata element and its children. Within a living HoG, -->
  <!-- the parameter urilist should countain a comma-separated -->
  <!-- list of HoG annotation names e.g., hog://session1/acol1/TnTpiXML -->

  <!-- 
   (C) 2004 - 2005  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Ulrich Schaefer, Ulrich.Schaefer@dfki.de

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

  <xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>
  <xsl:strip-space elements="*"/>

  <xsl:param name="urilist">TnTpiXML.xml,SProUTpiXML.xml</xsl:param>

  <xsl:template match="/">
    <xsl:element name="pet-input-chart">
      <xsl:for-each select="@*">
        <xsl:copy-of select="."/>
      </xsl:for-each>
      <xsl:call-template name="insert-documents">
        <xsl:with-param name="urilist" select="$urilist"/>
      </xsl:call-template>
    </xsl:element>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template name="insert-documents">
    <xsl:param name="urilist"/>
    <xsl:choose>
      <xsl:when test="contains($urilist,',')">
        <xsl:variable name="car" select="substring-before($urilist,',')"/>
        <xsl:copy-of select="document($car)/pet-input-chart/w"/>
        <xsl:copy-of select="document($car)/pet-input-chart/ne"/>
        <xsl:call-template name="insert-documents">
          <xsl:with-param name="urilist" select="substring-after($urilist,',')"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:copy-of select="document($urilist)/pet-input-chart/w"/>
        <xsl:copy-of select="document($urilist)/pet-input-chart/ne"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="text()"/>  

</xsl:stylesheet>
