<?xml version='1.0'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

  <!-- Translatee XML generated by LingPipeModule to PET input chart format 

   (C) 2005  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Ulrich Schaefer, Ulrich.Schaefer@dfki.de

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

  <!-- Date: 2005-04-14 -->

  <xsl:output method='xml' indent="yes"/>
  <xsl:strip-space elements="*"/>

  <!-- process root element -->
  <xsl:template match='/LINGPIPE'>
    <xsl:element name='pet-input-chart'>
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>

  <!-- copy metadata -->
  <xsl:template match='metadata'>
    <xsl:copy-of select='.'/>
  </xsl:template>

  <!-- generate pet input chart element for enamex node -->
  <xsl:template match='NE'>
    <xsl:variable name='index' select='string(position())'/>
    <xsl:variable name='hpsgtype'>
      <xsl:choose>
        <xsl:when test='@type = "PERSON"'>
          <xsl:value-of select='"generic_name"'/>
        </xsl:when>

        <xsl:when test='@type = "LOCATION"'>
          <xsl:value-of select='"generic_name"'/>
        </xsl:when>

        <xsl:when test='@type = "ORGANIZATION"'>
          <xsl:value-of select='"generic_name"'/>
        </xsl:when>
        
        <xsl:otherwise>
          <xsl:value-of select='"nope"'/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:if test='$hpsgtype != "nope"'>
      <xsl:element name='w'>
        <xsl:attribute name='id'>
          <xsl:value-of select='concat("LPE", $index)'/>
        </xsl:attribute>
        <xsl:attribute name='cstart'>
          <xsl:value-of select='@cstart'/>
        </xsl:attribute>
        <xsl:attribute name='cend'>
          <xsl:value-of select='@cend'/>
        </xsl:attribute>
        <xsl:attribute name='constant'>
          <xsl:value-of select='"yes"'/>
        </xsl:attribute>
        <xsl:attribute name='prio'>
          <xsl:value-of select='"2.5"'/>
        </xsl:attribute>
        <xsl:element name='surface'>
          <xsl:value-of select='@string'/>
        </xsl:element>
        <xsl:element name='typeinfo'>
          <xsl:attribute name='id'>
            <xsl:value-of select='concat("TLP", $index)'/>
          </xsl:attribute>
          <xsl:attribute name='baseform'>
            <xsl:value-of select='"no"'/>
          </xsl:attribute>
          <xsl:element name='stem'><xsl:text>$</xsl:text><xsl:value-of select='$hpsgtype'/></xsl:element>
        </xsl:element>
      </xsl:element>
    </xsl:if>

  </xsl:template>

</xsl:stylesheet>
