<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <!-- Removal of pet input chart items in contained spans -->
  <!-- (to overcome bug in cheap with PET input chart -->

  <!-- 
   (C) 2005  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Ulrich Schaefer, Ulrich.Schaefer@dfki.de

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

  <xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="/pet-input-chart">
    <xsl:element name="pet-input-chart">
      <xsl:for-each select="@*">
        <xsl:copy-of select="."/>
      </xsl:for-each>
      <xsl:apply-templates select="w"/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="w">
    <xsl:variable name="cstart" select="@cstart"/>
    <xsl:variable name="cend" select="@cend"/>
    <!-- remove Token if start or end is between start and end of a right NE -->
    <xsl:if test="not(following-sibling::w[(@cstart &lt;= $cstart) and ($cstart &lt;= @cend)] or following-sibling::w[(@cstart &lt;= $cend) and ($cend &lt;= @cend)])">
      <xsl:copy-of select="."/>
    </xsl:if>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="text()"/>
  
</xsl:stylesheet>
