<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- Translatee XML generated by LingPipeModule to RMRS 

   (C) 2005  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Ulrich Schaefer, Ulrich.Schaefer@dfki.de

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

  <!-- Date: 2005-04-14 -->

  <xsl:output method="xml" indent="yes"/>
  <xsl:strip-space elements="*"/>

  <!-- process root element -->
  <xsl:template match='/LINGPIPE'>
    <xsl:element name='rmrs-list'>
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>

  <xsl:template match='metadata'>
    <xsl:copy-of select='.'/>
  </xsl:template>

  <xsl:template match="NE">
    <xsl:variable name="offset" select="string(position())"/>
    <xsl:variable name="cfrom" select="@cstart"/>
    <xsl:variable name="cto" select="@cend"/>
    <xsl:variable name="rsurface" select="@string"/>
    <xsl:variable name="enamextype">
      <xsl:choose>
        <xsl:when test='@type = "PERSON"'>
          <xsl:value-of select='"person"'/>
        </xsl:when>
        
        <xsl:when test='@type = "LOCATION"'>
          <xsl:value-of select='"location"'/>
        </xsl:when>
        
        <xsl:when test='@type = "ORGANIZATION"'>
          <xsl:value-of select='"organization"'/>
        </xsl:when>
        
        <xsl:otherwise>
          <xsl:value-of select='"nope"'/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    
    <xsl:if test='$enamextype != "nope"'>

      <xsl:element name='rmrs'>
        <xsl:attribute name='cfrom'><xsl:value-of select='$cfrom'/></xsl:attribute>
        <xsl:attribute name='cto'><xsl:value-of select='$cto'/></xsl:attribute>
        <xsl:attribute name='surface'><xsl:value-of select='$rsurface'/></xsl:attribute>
        <xsl:element name='label'>
          <xsl:attribute name='vid'><xsl:value-of select='$offset'/></xsl:attribute>
        </xsl:element>
        
        <xsl:element name='ep'>
          <xsl:attribute name='cfrom'><xsl:value-of select='$cfrom'/></xsl:attribute>
          <xsl:attribute name='cto'><xsl:value-of select='$cto'/></xsl:attribute>
          <xsl:attribute name='surface'><xsl:value-of select='$rsurface'/></xsl:attribute>
          <xsl:element name='gpred'>
            <xsl:value-of select='concat("", $enamextype, "_rel")'/>
          </xsl:element>
          <xsl:element name='label'>
            <xsl:attribute name='vid'><xsl:value-of select='$offset'/></xsl:attribute>
          </xsl:element>
          <xsl:element name='var'>
            <xsl:attribute name='sort'><xsl:value-of select='"x"'/></xsl:attribute>
            <xsl:attribute name='vid'><xsl:value-of select='$offset'/></xsl:attribute>
          </xsl:element>
        </xsl:element>
        
        <xsl:element name='rarg'>
          <xsl:element name='label'>
            <xsl:attribute name='vid'><xsl:value-of select='$offset'/></xsl:attribute>
          </xsl:element>
          <xsl:element name='rargname'>
            <xsl:value-of select='"CARG"'/>
          </xsl:element>
          <xsl:element name='constant'>
            <xsl:value-of select="translate($rsurface, '&quot;', '')"/>
          </xsl:element>
        </xsl:element>
      </xsl:element>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
