<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <!-- Extract longest RMRS fragment -->
  <!-- parameter fragments: number of fragments to return -->
  <!-- Created 2005-04-25 -->

<!-- 
   (C) 2005  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Ulrich Schaefer, Ulrich.Schaefer@dfki.de

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

  <xsl:output method="xml"/>

  <xsl:param name="fragments" select="5"/>

  <xsl:template match="/pet">
    <xsl:copy>
      <xsl:for-each select="@*">
        <xsl:copy-of select="."/>
      </xsl:for-each>
      <xsl:apply-templates select="metadata"/>
      <xsl:for-each select="rmrs">
        <xsl:sort select="number(ep/@cto) - number(ep/@cfrom)" data-type="number" order="descending"/>
        <xsl:if test="position() &lt;= $fragments">
          <xsl:copy-of select="."/>
        </xsl:if>
        <xsl:apply-templates/>
      </xsl:for-each>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="metadata">
    <xsl:copy-of select="."/>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="text()"/>

</xsl:stylesheet>
