<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- insert surface text from HoG annotation 'xmltext' into rmrs and ep -->
  <!-- elements (new attribute surface) -->
  <!-- author Ulrich.Schaefer@dfki.de -->
  <!-- version 2004-10-15 -->

<!-- 
   (C) 2004 DFKI Language Technology Lab http://www.dfki.de/lt
   author: Ulrich.Schaefer@dfki.de

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->


  <xsl:output method="xml" indent="yes"/>
  <xsl:strip-space elements="*"/>

  <xsl:param name="sessionID" select="40"/>
  <xsl:param name="collectionID" select="41"/>
  <xsl:param name="annotationID" select="42"/>

  <xsl:variable name="uri" select="concat('hog://', $sessionID, '/', $collectionID, '/xmltext')"/>
  <xsl:variable name="surface" select="document($uri)/text/text()"/>
  
  <xsl:template match="*">
    <xsl:copy>
      <xsl:for-each select="@*">
        <xsl:copy-of select="."/>            
      </xsl:for-each>
      <xsl:if test="(name()='ep' or name()='rmrs') and $surface!=''">
        <xsl:attribute name="surface"><xsl:value-of select="substring($surface, @cfrom + 2, @cto - @cfrom + 1)"/></xsl:attribute>            
      </xsl:if>
    <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="text()|comment()">
    <xsl:copy-of select="."/>
  </xsl:template>
  
</xsl:stylesheet>


