<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- replace anchor element in RASP RMRS output to generate old-style RMRS -->
  <!-- still generates a (single) free arg, and spurious duplicate ARGn attributes -->
  <!-- created 2007-06-17 -->

<!-- 
   (C) 2008  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Ulrich Schaefer, Ulrich.Schaefer@dfki.de

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->


  <xsl:output method="xml" indent="yes"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="*">
    <xsl:if test="name()!='anchor'">
      <xsl:copy>
        <xsl:for-each select="@*">
          <xsl:copy-of select="."/>
        </xsl:for-each>
        <!-- in rarg elements (only): lookup anchor value and replace
             current label vid by associated label vid -->
        <xsl:if test="name()='label' and name(..)='rarg'">
          <xsl:variable name="vidold" select="@vid"/>
          <xsl:attribute name="vid">
             <xsl:value-of select="../../ep[anchor/@vid=$vidold]/label/@vid"/>
	  </xsl:attribute>
        </xsl:if>
        <!-- insert text element unless already present -->
        <!-- this is only required by a subsequent rmrs2{html,latex}.xsl
             transformation -->
	<xsl:if test="name()='rmrs' and count(text)=0">
          <text>
            <xsl:call-template name="insertcelements">
               <xsl:with-param name="surface" select="@surface"/>
	    </xsl:call-template>
	  </text>
        </xsl:if>
        <xsl:apply-templates/>
      </xsl:copy>
    </xsl:if>
  </xsl:template>

  <xsl:template match="text()|comment()">
    <xsl:copy-of select="."/>
  </xsl:template>

  <!-- insert c element for each character in $surface -->
  <xsl:template name="insertcelements">
    <xsl:param name="surface" select="@surface"/>
    <xsl:if test="string-length($surface)>0">
    	<c><xsl:value-of select="substring($surface,1,1)"/></c>
	<xsl:call-template name="insertcelements">
          <xsl:with-param name="surface" select="substring($surface,2)"/>
        </xsl:call-template>
    </xsl:if>
  </xsl:template>
  
</xsl:stylesheet>

