<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                version="1.0">

  <!-- This stylesheet is used by the combinepic SDL module. -->
  <!-- It combines two XML input chart documents (a primary one as input -->
  <!-- document, a secondary one via parameter aid) into one document, -->
  <!-- omitting metadata element and its children. Within a living HoG, -->
  <!-- the parameter urilist should countain a comma-separated -->
  <!-- list of HoG annotation names e.g., hog://session1/acol1/TnTpiXML -->

  <!-- 
   (C) 2004 - 2007  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Ulrich Schaefer, Ulrich.Schaefer@dfki.de

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

  <xsl:output method="xml"
              doctype-system="xsl/pic/pet-input-chart.dtd"/>

  <xsl:strip-space elements="*"/>

  <!-- will be specified through SDL module parameter "aid" -->
  <xsl:param name="uri">tnt.xml</xsl:param>

  <xsl:template match="/">
    <xsl:element name="pet-input-chart">
      <xsl:for-each select="@*">
        <xsl:copy-of select="."/>
      </xsl:for-each>
      <metadata>
        <id>
          <entry name="created" value="{pet-input-chart/metadata/id/entry[@name='created']/@value}"/>
          <entry name="processingtime" value="{pet-input-chart/metadata/id/entry[@name='processingtime']/@value}"/>
          <entry name="sessionid" value="{pet-input-chart/metadata/id/entry[@name='sessionid']/@value}"/>
          <entry name="acid" value="{pet-input-chart/metadata/id/entry[@name='acid']/@value}"/>
          <entry name="component" value="CombinePic"/>
          <entry name="diagnosis" value="OK"/>
          <entry name="empty" value="false"/>
        </id>
        <conf>
          <entry name="module.depth" value="50"/>
          <entry name="module.rootelement" value="pet-input-chart"/>
          <entry name="module.language" value="{pet-input-chart/metadata/conf/entry[@name='module.language']/@value}"/>
          <entry name="module.name" value="CombinePic"/>
        </conf>
      </metadata>
      <xsl:copy-of select="document($uri)/pet-input-chart/w"/>
      <xsl:copy-of select="document($uri)/pet-input-chart/ne"/>
      <xsl:copy-of select="pet-input-chart/w"/>
      <xsl:copy-of select="pet-input-chart/ne"/>
    </xsl:element>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="text()"/>  

</xsl:stylesheet>
