<?xml version="1.0" encoding="utf-8"?>

<!-- rmrs_ep_rargs2rels.xsl
*    ep rargs to rels
*
* (C) 2006  DFKI Language Technology Lab http://www.dfki.de/lt
*   Authors: Anette Frank, Anette.Frank@dfki.de
*
*   This program is free software; you can redistribute it and/or
*   modify it under the terms of the GNU Lesser General Public
*   License as published by the Free Software Foundation; either
*   version 2.1 of the License, or (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Lesser General Public License for more details.
*
*   You should have received a copy of the GNU Lesser General Public
*   License along with this library; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  
  <xsl:output method="xml" indent="yes"/>
  <xsl:strip-space elements="*"/>
  
  <xsl:template match="/*">
    <xsl:element name="rmrs-list">
      <xsl:copy-of select="@*"/>
      <xsl:attribute name="creator">
        <xsl:value-of select="metadata/id/entry[@name='component']/@value"/>
      </xsl:attribute>
      <xsl:apply-templates select="*"/>
    </xsl:element>
  </xsl:template>

  <!-- elements that can be deep-copied -->
  <xsl:template match="ing|hcons"> <!-- was+  metadata| -->
    <xsl:copy-of select="."/>
  </xsl:template>
  
  <xsl:template match="rmrs">
    <xsl:variable name="reading" select="@reading"/>
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:copy-of select="./label"/>
      <xsl:element name="rels">
        <xsl:apply-templates select="ep"/>   
      </xsl:element>
      <xsl:apply-templates select="ing|hcons"/>   
    </xsl:copy>
  </xsl:template>

  <xsl:template match="ep">
    <xsl:element name="arg-s">
      <xsl:copy-of select="."/>
      <xsl:variable name="ep_label" select="label/@vid"/>
      <xsl:variable name="rargs" select="../rarg/label[@vid=$ep_label]/.."/>
      <xsl:copy-of select="$rargs"/>
    </xsl:element>
  </xsl:template>
  
  <xsl:template match="text()"/>

</xsl:stylesheet>

