<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  
  <!-- insert lemma information from treetagger annotation -->
  <!-- 2005-09-12 Kathrin Spreyer kspreyer@dfki.de  -->
  <!-- 2005-09-29 Ulrich Schaefer Ulrich.Schaefer@dfki.de  -->

  <!-- 
   (C) 2004 - 2005  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Kathrin Spreyer kspreyer@dfki.de, 
           Ulrich Schaefer Ulrich.Schaefer@dfki.de

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

  <xsl:output method="xml" indent="yes"/>

  <xsl:strip-space elements="*"/>
  
  <xsl:param name="uri" select="'treetagger.xml'"/>

  <xsl:template match="node">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:if test="string-length(text())>0">
        <xsl:attribute name="lemma">
          <xsl:call-template name="get-lemma">
            <xsl:with-param name="cstart" select="@cstart"/>
            <xsl:with-param name="cend" select="@cend"/>
          </xsl:call-template>
        </xsl:attribute>
      </xsl:if>
      <xsl:apply-templates select="*|text()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="*">
    <!-- copy nodes, start at root element -->
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates select="*"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="text()">
    <xsl:copy-of select="."/>
  </xsl:template>

  <!--go to TreeTagger output, get + return lemma for corresponding span -->
  <xsl:template name="get-lemma">
    <xsl:param name="cstart"/>
    <xsl:param name="cend"/>
    <xsl:value-of select="document($uri)/treetagger/tokens/t[@cstart=$cstart and @cend=$cend]/@lemma"/>
  </xsl:template>

</xsl:stylesheet>

