<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- transform NODE/@cat attributes into element names

   (C) 2002  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Ulrich Schaefer

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

<!-- 2002-11-08 Ulrich.Schaefer@dfki.de -->

<xsl:output method="xml" indent="yes"/>
<xsl:strip-space elements="*"/>

  <xsl:template match="NODE">
    <xsl:variable name="suffix" select='substring-after(@cat, "-")'/>
    <xsl:choose>
            <xsl:when test="string-length($suffix) = 0">
                 <xsl:element name="{@cat}">
                   <xsl:for-each select="@*">
                        <xsl:if test='name() != "cat"'>
                             <xsl:copy-of select="."/>
                        </xsl:if>
                   </xsl:for-each>
                   <xsl:apply-templates select="NODE|W|comment()"/> 
                </xsl:element>
            </xsl:when>
            <xsl:otherwise>
              <xsl:element name='{substring-before(@cat, "-")}'>
                   <xsl:attribute name="fn">
                       <xsl:value-of select="$suffix"/>
                   </xsl:attribute>
                   <xsl:for-each select="@*">
                       <xsl:if test='name() != "cat"'>
                           <xsl:copy-of select="."/>
                       </xsl:if>
                   </xsl:for-each>
                   <xsl:apply-templates select="NODE|W|comment()"/> 
                </xsl:element>
            </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="W">
    <xsl:copy-of select="."/>
  </xsl:template>

  <xsl:template match="comment()">
     <xsl:comment>
        <xsl:value-of select="."/>
     </xsl:comment>
  </xsl:template>

  <xsl:template match="text()">
     <!--xsl:text>
        <xsl:value-of select="."/>
     </xsl:text -->
  </xsl:template>

</xsl:stylesheet>
