<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- extracts topo fields

   (C) 2003  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Anette Frank, Ulrich Schaefer

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

<!-- 2003-01-21 Anette.Frank@dfki.de, Ulrich.Schaefer@dfki.de -->

<xsl:output method="xml" indent="yes"/>
<xsl:strip-space elements="*"/>

  <xsl:template match="MF|VF|NF|DF">

   <xsl:element name="{name()}">
     <xsl:if test="@fn">
       <xsl:attribute name="fn"> 
         <xsl:value-of select="@fn"/>
       </xsl:attribute>
     </xsl:if>

     <xsl:for-each select="*">    
        <xsl:if test='position()=1 and name()!="S" and name()!="CL"'>
          <xsl:element name="NCFIELD">
            <xsl:attribute name="id"> 
              <xsl:value-of select="position()"/>
            </xsl:attribute>
            <xsl:attribute name="delim"> 
              <xsl:value-of select='"start"'/>
            </xsl:attribute>
          </xsl:element>
        </xsl:if>
        <xsl:if test='name()!="S" and name()!="CL"'>
           <xsl:copy-of select=".//W"/>          
        </xsl:if>
        <xsl:if test='name()="S" or name()="CL"'>
           <xsl:if test='position()!=1 and name(preceding-sibling::node())!="S" and name(preceding-sibling::node())!="CL"'> 
             <xsl:element name="NCFIELD">
               <xsl:attribute name="delim"> 
                 <xsl:value-of select='"end"'/>
               </xsl:attribute>
             </xsl:element>
           </xsl:if>
           <xsl:apply-templates/> 
           <xsl:if test='position()!=last() and name(following-sibling::node())!="S" and name(following-sibling::node())!="CL"'>
             <xsl:element name="NCFIELD">
               <xsl:attribute name="id"> 
                 <xsl:value-of select="position()"/>
               </xsl:attribute>
               <xsl:attribute name="delim"> 
                 <xsl:value-of select='"start"'/>
               </xsl:attribute>
             </xsl:element>
           </xsl:if>
        </xsl:if>
        <xsl:if test='position()=last() and name()!="S" and name()!="CL"'>
           <xsl:element name="NCFIELD">
              <xsl:attribute name="delim"> 
                <xsl:value-of select='"end"'/>
              </xsl:attribute>
           </xsl:element>
        </xsl:if>

    </xsl:for-each> 
   </xsl:element>
  </xsl:template>

  <xsl:template match="*">
    <xsl:copy>
      <xsl:for-each select="@*">
          <xsl:copy/>
      </xsl:for-each>
      <xsl:copy-of select="text()"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>


<xsl:template match="text()">
</xsl:template>


</xsl:stylesheet>
