<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- finalize and prettify topo annotation

   (C) 2002  DFKI Language Technology Lab http://www.dfki.de/lt
   Author: Ulrich Schaefer

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
-->

<!-- 2002-11-08 Ulrich.Schaefer@dfki.de -->

<xsl:output method="xml" indent="yes"/>
<xsl:strip-space elements="*"/>


  <xsl:template match="/">
    <xsl:element name="TOPO">
      <xsl:attribute name="sno">
         <xsl:value-of select="/*/@sno"/>
      </xsl:attribute>
      <xsl:element name="TOPO2HPSG">
        <xsl:apply-templates/>
      </xsl:element>
    </xsl:element>
  </xsl:template>

  <xsl:template match="MAP_CONSTR">
     <xsl:variable name="pos">
        <xsl:value-of select="position()"/>
     </xsl:variable>
     <xsl:element name="MAP_CONSTR">
        <xsl:attribute name="id">
           <xsl:value-of select='concat("T", $pos)'/>
        </xsl:attribute>
        <!--xsl:attribute name="entropy">
           <xsl:value-of select="/*/@entropy"/>
        </xsl:attribute-->
        <xsl:for-each select="@*">
           <xsl:if test='name() != "id"'>
              <xsl:copy-of select="."/>
           </xsl:if>
        </xsl:for-each>
     </xsl:element>
   </xsl:template>

  <xsl:template match="text()">
  </xsl:template>


</xsl:stylesheet>
